org.apache.geode.management

## Interface JMXNotificationType

-     public interface JMXNotificationType

  Enumerated type for JMX notification types emitted by GemFire management system. This types can be matched with javax.management.Notification.getType() for filtering required notifications. For detail usage see GemFire quick start.
  Since:
    GemFire 8.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ASYNC_EVENT_QUEUE_CLOSED` Notification type which indicates that an async queue has been closed.
    `static java.lang.String` | `ASYNC_EVENT_QUEUE_CREATED` Notification type which indicates that an async queue is created The value of this type string is `ggemfire.distributedsystem.asycn.event.queue.created`.
    `static java.lang.String` | `CACHE_MEMBER_DEPARTED` Notification type which indicates that a member has departed from the system.
    `static java.lang.String` | `CACHE_MEMBER_JOINED` Notification type which indicates that a member has been added to the system.
    `static java.lang.String` | `CACHE_MEMBER_SUSPECT` Notification type which indicates that a member is suspected.
    `static java.lang.String` | `CACHE_SERVER_STARTED` Notification type which indicates that cache server is started The value of this type string is `gemfire.distributedsystem.cache.server.started`.
    `static java.lang.String` | `CACHE_SERVER_STOPPED` Notification type which indicates that cache server is stopped The value of this type string is `gemfire.distributedsystem.cache.server.stopped`.
    `static java.lang.String` | `CACHE_SERVICE_CREATED` Notification type which indicates that a cache service is created The value of this type string is `gemfire.distributedsystem.cache.service.created`.
    `static java.lang.String` | `CLIENT_CRASHED` Notification type which indicates that a client has crashed The value of this type string is `gemfire.distributedsystem.cacheserver.client.crashed`.
    `static java.lang.String` | `CLIENT_JOINED` Notification type which indicates that a client has joined The value of this type string is `gemfire.distributedsystem.cacheserver.client.joined`.
    `static java.lang.String` | `CLIENT_LEFT` Notification type which indicates that a client has left The value of this type string is `gemfire.distributedsystem.cacheserver.client.left`.
    `static java.lang.String` | `DISK_STORE_CLOSED` Notification type which indicates that a disk store has been closed.
    `static java.lang.String` | `DISK_STORE_CREATED` Notification type which indicates that a disk store has been created The value of this type string is `gemfire.distributedsystem.cache.disk.created`.
    `static java.lang.String` | `GATEWAY_RECEIVER_CREATED` Notification type which indicates that a gateway receiver is created The value of this type string is `gemfire.distributedsystem.gateway.receiver.created`.
    `static java.lang.String` | `GATEWAY_RECEIVER_DESTROYED` Notification type which indicates that a gateway receiver is destroyed The value of this type string is `gemfire.distributedsystem.gateway.receiver.destroyed`.
    `static java.lang.String` | `GATEWAY_RECEIVER_STARTED` Notification type which indicates that a gateway receiver is started The value of this type string is `gemfire.distributedsystem.gateway.receiver.started`.
    `static java.lang.String` | `GATEWAY_RECEIVER_STOPPED` Notification type which indicates that a gateway receiver is stopped The value of this type string is `gemfire.distributedsystem.gateway.receiver.stopped`.
    `static java.lang.String` | `GATEWAY_SENDER_CREATED` Notification type which indicates that a gateway sender is created The value of this type string is `gemfire.distributedsystem.gateway.sender.created`.
    `static java.lang.String` | `GATEWAY_SENDER_PAUSED` Notification type which indicates that a gateway sender is paused The value of this type string is `gemfire.distributedsystem.gateway.sender.paused`.
    `static java.lang.String` | `GATEWAY_SENDER_REMOVED` Notification type which indicates that a gateway sender is removed The value of this type string is `gemfire.distributedsystem.gateway.sender.removed`.
    `static java.lang.String` | `GATEWAY_SENDER_RESUMED` Notification type which indicates that a gateway sender is resumed The value of this type string is `gemfire.distributedsystem.gateway.sender.resumed`.
    `static java.lang.String` | `GATEWAY_SENDER_STARTED` Notification type which indicates that a gateway sender is started The value of this type string is `gemfire.distributedsystem.gateway.sender.started`.
    `static java.lang.String` | `GATEWAY_SENDER_STOPPED` Notification type which indicates that a gateway sender is stopped The value of this type string is `gemfire.distributedsystem.gateway.sender.stopped`.
    `static java.lang.String` | `LOCATOR_STARTED` Notification type which indicates that locator is started The value of this type string is `gemfire.distributedsystem.locator.started`.
    `static java.lang.String` | `LOCK_SERVICE_CLOSED` Notification type which indicates that a lock service has been closed.
    `static java.lang.String` | `LOCK_SERVICE_CREATED` Notification type which indicates that a lock service has been created.
    `static java.lang.String` | `REGION_CLOSED` Notification type which indicates that a region has been closed/destroyed in the cache The value of this type string is `gemfire.distributedsystem.cache.region.closed`.
    `static java.lang.String` | `REGION_CREATED` Notification type which indicates that a region has been created in the cache The value of this type string is `gemfire.distributedsystem.cache.region.created`.
    `static java.lang.String` | `SYSTEM_ALERT` Notification type which indicates a GemFire system generated alert The value of this type string is `system.alert`.

- - ### Field Detail

    - #### REGION_CREATED

          static final java.lang.String REGION_CREATED

      Notification type which indicates that a region has been created in the cache
      The value of this type string is `gemfire.distributedsystem.cache.region.created`.
      See Also:
        Constant Field Values

    - #### REGION_CLOSED

          static final java.lang.String REGION_CLOSED

      Notification type which indicates that a region has been closed/destroyed in the cache
      The value of this type string is `gemfire.distributedsystem.cache.region.closed`.
      See Also:
        Constant Field Values

    - #### DISK_STORE_CREATED

          static final java.lang.String DISK_STORE_CREATED

      Notification type which indicates that a disk store has been created
      The value of this type string is `gemfire.distributedsystem.cache.disk.created`.
      See Also:
        Constant Field Values

    - #### DISK_STORE_CLOSED

          static final java.lang.String DISK_STORE_CLOSED

      Notification type which indicates that a disk store has been closed.
      The value of this type string is `gemfire.distributedsystem.cache.disk.closed`.
      See Also:
        Constant Field Values

    - #### LOCK_SERVICE_CREATED

          static final java.lang.String LOCK_SERVICE_CREATED

      Notification type which indicates that a lock service has been created.
      The value of this type string is `gemfire.distributedsystem.cache.lockservice.created`.
      See Also:
        Constant Field Values

    - #### LOCK_SERVICE_CLOSED

          static final java.lang.String LOCK_SERVICE_CLOSED

      Notification type which indicates that a lock service has been closed.
      The value of this type string is `gemfire.distributedsystem.cache.lockservice.closed`.
      See Also:
        Constant Field Values

    - #### CACHE_MEMBER_JOINED

          static final java.lang.String CACHE_MEMBER_JOINED

      Notification type which indicates that a member has been added to the system.
      The value of this type string is `gemfire.distributedsystem.cache.created`.
      See Also:
        Constant Field Values

    - #### CACHE_MEMBER_DEPARTED

          static final java.lang.String CACHE_MEMBER_DEPARTED

      Notification type which indicates that a member has departed from the system.
      The value of this type string is `gemfire.distributedsystem.cache.created`.
      See Also:
        Constant Field Values

    - #### CACHE_MEMBER_SUSPECT

          static final java.lang.String CACHE_MEMBER_SUSPECT

      Notification type which indicates that a member is suspected.
      The value of this type string is `gemfire.distributedsystem.cache.created`.
      See Also:
        Constant Field Values

    - #### CLIENT_JOINED

          static final java.lang.String CLIENT_JOINED

      Notification type which indicates that a client has joined
      The value of this type string is `gemfire.distributedsystem.cacheserver.client.joined`.
      See Also:
        Constant Field Values

    - #### CLIENT_LEFT

          static final java.lang.String CLIENT_LEFT

      Notification type which indicates that a client has left
      The value of this type string is `gemfire.distributedsystem.cacheserver.client.left`.
      See Also:
        Constant Field Values

    - #### CLIENT_CRASHED

          static final java.lang.String CLIENT_CRASHED

      Notification type which indicates that a client has crashed
      The value of this type string is `gemfire.distributedsystem.cacheserver.client.crashed`.
      See Also:
        Constant Field Values

    - #### GATEWAY_RECEIVER_CREATED

          static final java.lang.String GATEWAY_RECEIVER_CREATED

      Notification type which indicates that a gateway receiver is created
      The value of this type string is `gemfire.distributedsystem.gateway.receiver.created`.
      See Also:
        Constant Field Values

    - #### GATEWAY_SENDER_CREATED

          static final java.lang.String GATEWAY_SENDER_CREATED

      Notification type which indicates that a gateway sender is created
      The value of this type string is `gemfire.distributedsystem.gateway.sender.created`.
      See Also:
        Constant Field Values

    - #### GATEWAY_SENDER_STARTED

          static final java.lang.String GATEWAY_SENDER_STARTED

      Notification type which indicates that a gateway sender is started
      The value of this type string is `gemfire.distributedsystem.gateway.sender.started`.
      See Also:
        Constant Field Values

    - #### GATEWAY_SENDER_STOPPED

          static final java.lang.String GATEWAY_SENDER_STOPPED

      Notification type which indicates that a gateway sender is stopped
      The value of this type string is `gemfire.distributedsystem.gateway.sender.stopped`.
      See Also:
        Constant Field Values

    - #### GATEWAY_SENDER_PAUSED

          static final java.lang.String GATEWAY_SENDER_PAUSED

      Notification type which indicates that a gateway sender is paused
      The value of this type string is `gemfire.distributedsystem.gateway.sender.paused`.
      See Also:
        Constant Field Values

    - #### GATEWAY_SENDER_RESUMED

          static final java.lang.String GATEWAY_SENDER_RESUMED

      Notification type which indicates that a gateway sender is resumed
      The value of this type string is `gemfire.distributedsystem.gateway.sender.resumed`.
      See Also:
        Constant Field Values

    - #### GATEWAY_SENDER_REMOVED

          static final java.lang.String GATEWAY_SENDER_REMOVED

      Notification type which indicates that a gateway sender is removed
      The value of this type string is `gemfire.distributedsystem.gateway.sender.removed`.
      See Also:
        Constant Field Values

    - #### ASYNC_EVENT_QUEUE_CREATED

          static final java.lang.String ASYNC_EVENT_QUEUE_CREATED

      Notification type which indicates that an async queue is created
      The value of this type string is `ggemfire.distributedsystem.asycn.event.queue.created`.
      See Also:
        Constant Field Values

    - #### ASYNC_EVENT_QUEUE_CLOSED

          static final java.lang.String ASYNC_EVENT_QUEUE_CLOSED

      Notification type which indicates that an async queue has been closed.
      The value of this type string is `gemfire.distributedsystem.async.event.queue.closed`.
      See Also:
        Constant Field Values

    - #### SYSTEM_ALERT

          static final java.lang.String SYSTEM_ALERT

      Notification type which indicates a GemFire system generated alert
      The value of this type string is `system.alert`.
      See Also:
        Constant Field Values

    - #### CACHE_SERVER_STARTED

          static final java.lang.String CACHE_SERVER_STARTED

      Notification type which indicates that cache server is started
      The value of this type string is `gemfire.distributedsystem.cache.server.started`.
      See Also:
        Constant Field Values

    - #### CACHE_SERVER_STOPPED

          static final java.lang.String CACHE_SERVER_STOPPED

      Notification type which indicates that cache server is stopped
      The value of this type string is `gemfire.distributedsystem.cache.server.stopped`.
      See Also:
        Constant Field Values

    - #### GATEWAY_RECEIVER_STARTED

          static final java.lang.String GATEWAY_RECEIVER_STARTED

      Notification type which indicates that a gateway receiver is started
      The value of this type string is `gemfire.distributedsystem.gateway.receiver.started`.
      See Also:
        Constant Field Values

    - #### GATEWAY_RECEIVER_STOPPED

          static final java.lang.String GATEWAY_RECEIVER_STOPPED

      Notification type which indicates that a gateway receiver is stopped
      The value of this type string is `gemfire.distributedsystem.gateway.receiver.stopped`.
      See Also:
        Constant Field Values

    - #### GATEWAY_RECEIVER_DESTROYED

          static final java.lang.String GATEWAY_RECEIVER_DESTROYED

      Notification type which indicates that a gateway receiver is destroyed
      The value of this type string is `gemfire.distributedsystem.gateway.receiver.destroyed`.
      See Also:
        Constant Field Values

    - #### LOCATOR_STARTED

          static final java.lang.String LOCATOR_STARTED

      Notification type which indicates that locator is started
      The value of this type string is `gemfire.distributedsystem.locator.started`.
      See Also:
        Constant Field Values

    - #### CACHE_SERVICE_CREATED

          static final java.lang.String CACHE_SERVICE_CREATED

      Notification type which indicates that a cache service is created
      The value of this type string is `gemfire.distributedsystem.cache.service.created`.
      See Also:
        Constant Field Values